<ion-header class="siderbar default">
    <ion-navbar>
        <ion-title>Chi tiết nhà hàng</ion-title>
        <ion-buttons end>
            <button (click)="goLocation()" ion-button icon-only>
                <img src="assets/icon/svg/locationicon.svg">
            </button>
        </ion-buttons>

    </ion-navbar>
</ion-header>
<ion-content>
    <div class="header" [style.background-image]="image"></div>
    <div class="content-detail">
        <div class="header-detail">
            <p class="name">{{info.bname}}</p>
            <p class="text">
                <span>Địa chỉ:</span>{{info.badd}}</p>
            <p class="text">
                <span>Liên hệ:</span>{{info.bphone}}</p>
        </div>
        <div class="body-title">
            <div class="open-time">
                <span class="title">Mở cửa</span>
                <span class="time">{{info.OpenTime}}</span>
                <span class="title">Đến</span>
                <span class="time">{{info.CloseTime}}</span>
            </div>
            <div class="rating">
                <ion-rating [scorePct]="reviewSummary.perStart" [fontsize]="17">
                </ion-rating>
                <div class="rating-text">
                    {{reviewSummary.avgRating}}
                    <span class="light">({{reviewSummary.comments}})</span>
                </div>
            </div>
            <div class="group-users">
                <div class="left">
                    <div class="groups">
                        <div class="user first" style="background: url('assets/imgs/apps/user_1.png')"></div>
                        <div class="user" style="background: url('assets/imgs/apps/user_2.png')"></div>
                        <div class="user" style="background: url('assets/imgs/apps/user_3.png')"></div>
                    </div>
                    <span>
                        + 405 Khách hàng đã check-in
                    </span>
                </div>
                <div class="right">
                    <button [ngClass]="{'active': info.isLike}" ion-button clear icon-only (click)="addFavorite()">
                        <ion-icon ios="md-heart-outline" md="md-heart-outline"></ion-icon>
                    </button>
                </div>
            </div>
        </div>
    </div>
    <div class="detail-restaurant">
        <div class="share-check">
            <div class="share-buttons">
                <span>Chia sẽ:</span>
                <button ion-button clear>
                    <i class="fa fa-facebook-square"></i>
                </button>
                <button ion-button clear>
                    <i class="fa fa-instagram"></i>
                </button>
            </div>
            <div class="right">
                <button class="check-in" ion-button color="greenbutton">CHECK-IN</button>
            </div>
        </div>
        <div class="content" *ngIf="info.babout_url">
            <p class="title">Chi tiết công thức :</p>
            <p class="text">
                <iframe [src]="urlDetail" frameborder="0" allowfullscreen></iframe>
            </p>
        </div>
    </div>
    <div class="sliders">
        <div class="title-sliders">
            <p class="title">Thư viện ảnh :</p>
            <button clear (click)="goShowModal()">Xem tất cả</button>
            <div class="cls"></div>
        </div>
        <ion-slides effect="coverflow" pager>
            <ion-slide>
                <div class="image" style="background: url('assets/imgs/apps/pro_8.png')"></div>
            </ion-slide>
            <ion-slide>
                <div class="image" style="background: url('assets/imgs/apps/pro_9.png')"></div>
            </ion-slide>
            <ion-slide>
                <div class="image" style="background: url('assets/imgs/apps/pro_12.png')"></div>
            </ion-slide>
        </ion-slides>
    </div>
    <div class="comment-body">
        <div class="input-comment">
            <div class="title">
                <p class="name">Đánh giá của bạn: </p>
                <p class="rate">4022 Người đã đánh giá món ăn này</p>
            </div>
            <div class="rating">
                <ion-rating [scorePct]="0" [fontsize]="40" (rattingClick)="ratingClick($event)"></ion-rating>
            </div>
            <ion-item class=input-text>
                <ion-textarea rows="3" [(ngModel)]="textComment" placeholder="Enter a description"></ion-textarea>
            </ion-item>
            <button (click)="submitComment()" ion-button round color="secondary">Gửi bình luận</button>
        </div>
        <div class="list-comment">
            <div class="title-list" (click)="goViewAll()" *ngIf="isViewAllReview">
                {{'detail_restaurent.comment.viewall' | translate}}
            </div>
            <div class="comments" *ngFor="let itemComment of reviewList">
                <div class="item-comment">
                    <div class="header-item">
                        <div class="avatar">
                            <img *ngIf="itemComment.CommenterImageUrl" src="{{itemComment.CommenterImageUrl}}">
                            <img *ngIf="!itemComment.CommenterImageUrl" src="/assets/imgs/default-user.png">
                        </div>
                        <div class="right-item">
                            <div class="text">
                                <p class="name">{{itemComment.CommenterName}}
                                    <span>- {{itemComment.CreateDate | date:'dd/MM/yyyy'}}</span>
                                </p>
                                <p class="type">
                                    <span>{{'detail_restaurent.comment.memebertype' | translate}}</span> {{itemComment.VIPCardName}}</p>
                            </div>
                            <div class="rating">
                                <ion-rating [scorePct]="(itemComment.RatingScore/5)*100" [fontsize]="14"></ion-rating>
                            </div>
                        </div>
                    </div>
                    <div class="content-comment">
                        <p>{{itemComment.CommentContent}}</p>
                        <div class="buttons-con">
                            <button ion-button clear>{{'detail_restaurent.comment.like' | translate}}</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</ion-content>